Loading...
Searching...
No Matches
psa_hkdf_key_derivation_t Struct Reference

`#include <crypto_builtin_key_derivation.h>`

Collaboration diagram for psa_hkdf_key_derivation_t:
[legend]

## Data Fields

uint8_t * | private_info
size_t | private_info_length
uint8_t | private_offset_in_block
uint8_t | private_block_number
unsigned int | private_state: 2
unsigned int | private_info_set: 1
uint8_t | private_output_block [PSA_HASH_MAX_SIZE]
uint8_t | private_prk [PSA_HASH_MAX_SIZE]
struct psa_mac_operation_s | private_hmac

## Detailed Description

Definition at line 30 of file crypto_builtin_key_derivation.h.

## Field Documentation

## private_block_number

uint8_t psa_hkdf_key_derivation_t::private_block_number

Definition at line 37 of file crypto_builtin_key_derivation.h.

## private_hmac

struct psa_mac_operation_s psa_hkdf_key_derivation_t::private_hmac

Definition at line 42 of file crypto_builtin_key_derivation.h.

## private_info

uint8_t* psa_hkdf_key_derivation_t::private_info

Definition at line 31 of file crypto_builtin_key_derivation.h.

## private_info_length

size_t psa_hkdf_key_derivation_t::private_info_length

Definition at line 32 of file crypto_builtin_key_derivation.h.

## private_info_set

unsigned int psa_hkdf_key_derivation_t::private_info_set

Definition at line 39 of file crypto_builtin_key_derivation.h.

## private_offset_in_block

uint8_t psa_hkdf_key_derivation_t::private_offset_in_block

Definition at line 36 of file crypto_builtin_key_derivation.h.

## private_output_block

uint8_t psa_hkdf_key_derivation_t::private_output_block[PSA_HASH_MAX_SIZE]

Definition at line 40 of file crypto_builtin_key_derivation.h.

## private_prk

uint8_t psa_hkdf_key_derivation_t::private_prk[PSA_HASH_MAX_SIZE]

Definition at line 41 of file crypto_builtin_key_derivation.h.

## private_state

unsigned int psa_hkdf_key_derivation_t::private_state

Definition at line 38 of file crypto_builtin_key_derivation.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_key_derivation.h